### Callable

- truncate(path: PathLike, len: number | undefined | null, callback: function): void
- truncate(path: PathLike, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:177

  Asynchronous truncate(2) - Truncate a file to a specified length.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### len: number | undefined | null

    If not specified, defaults to `0`.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:184

  Asynchronous truncate(2) - Truncate a file to a specified length.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol. URL support is experimental.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(path: PathLike, len?: number | null): Promise<void>

- - Defined in node_modules/@types/node/fs.d.ts:193

  Asynchronous truncate(2) - Truncate a file to a specified length.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### Optional len: number | null

    If not specified, defaults to `0`.

  #### Returns Promise<void>

Generated using TypeDoc